<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.glxp.mipsdl.dao.thrsys.ThrProductsDao">
  <resultMap id="BaseResultMap" type="com.glxp.mipsdl.entity.thrsys.ThrProductsEntity">
    <!--@mbg.generated-->
    <!--@Table thr_products-->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="code" jdbcType="VARCHAR" property="code" />
    <result column="name" jdbcType="VARCHAR" property="name" />
    <result column="measname" jdbcType="VARCHAR" property="measname" />
    <result column="spec" jdbcType="VARCHAR" property="spec" />
    <result column="registerNo" jdbcType="VARCHAR" property="registerNo" />
    <result column="manufactory" jdbcType="VARCHAR" property="manufactory" />
    <result column="thirdSysFk" jdbcType="VARCHAR" property="thirdSysFk" />
    <result column="cplb" jdbcType="VARCHAR" property="cplb" />
    <result column="flbm" jdbcType="VARCHAR" property="flbm" />
    <result column="qxlb" jdbcType="VARCHAR" property="qxlb" />
    <result column="ybbm" jdbcType="VARCHAR" property="ybbm" />
    <result column="sptm" jdbcType="VARCHAR" property="sptm" />
    <result column="tyshxydm" jdbcType="VARCHAR" property="tyshxydm" />
    <result column="zczbhhzbapzbh" jdbcType="VARCHAR" property="zczbhhzbapzbh" />
    <result column="ylqxzcrbarmc" jdbcType="VARCHAR" property="ylqxzcrbarmc" />
    <result column="ylqxzcrbarywmc" jdbcType="VARCHAR" property="ylqxzcrbarywmc" />
    <result column="cpms" jdbcType="LONGVARCHAR" property="cpms" />
    <result column="updateTime" jdbcType="TIMESTAMP" property="updateTime" />
    <result column="supName" jdbcType="VARCHAR" property="supName" />
    <result column="model" jdbcType="VARCHAR" property="model" />
    <result column="standard" jdbcType="VARCHAR" property="standard" />
    <result column="qtbm" jdbcType="VARCHAR" property="qtbm" />
    <result column="zczyxqz" jdbcType="VARCHAR" property="zczyxqz" />
    <result column="remark" jdbcType="VARCHAR" property="remark" />
    <result column="remark1" jdbcType="VARCHAR" property="remark1" />
    <result column="remark2" jdbcType="VARCHAR" property="remark2" />
    <result column="remark3" jdbcType="VARCHAR" property="remark3" />
    <result column="price" jdbcType="VARCHAR" property="price" />
    <result column="createUser" jdbcType="VARCHAR" property="createUser" />
    <result column="createTime" jdbcType="TIMESTAMP" property="createTime" />
    <result column="updateUser" jdbcType="VARCHAR" property="updateUser" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    id, code, `name`, measname, spec, registerNo, manufactory, thirdSysFk, cplb, flbm,
    qxlb, ybbm, sptm, tyshxydm, zczbhhzbapzbh, ylqxzcrbarmc, ylqxzcrbarywmc, cpms, updateTime,
    supName, model, `standard`, qtbm, zczyxqz, remark, remark1, remark2, remark3, price,
    `createUser`, createTime, updateUser
  </sql>
</mapper>
